Does not work with rails 3 beta 3 #5

Closed
unikitty37 opened this Issue May 8, 2010 · 0 comments

Comments

Projects
None yet
1 participant
@unikitty37

Typing rails c produces this with rails 3 beta 3 and either Ruby 1.8.7 or 1.9.1:

/Library/Ruby/Gems/1.8/gems/activesupport-3.0.0.beta3/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method': undefined method `column' for class `ActiveRecord::ConnectionAdapters::TableDefinition' (NameError)
    from /Library/Ruby/Gems/1.8/gems/activesupport-3.0.0.beta3/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method_chain'
    from /Users/tinyclanger/.bundle/ruby/1.8/gems/enumerated_attribute-0.2.3/lib/enumerated_attribute/rails_helpers.rb:10
    from /Users/tinyclanger/.bundle/ruby/1.8/gems/enumerated_attribute-0.2.3/lib/enumerated_attribute/attribute.rb:4:in `require'
    from /Users/tinyclanger/.bundle/ruby/1.8/gems/enumerated_attribute-0.2.3/lib/enumerated_attribute/attribute.rb:4
    from /Users/tinyclanger/.bundle/ruby/1.8/gems/enumerated_attribute-0.2.3/lib/enumerated_attribute.rb:1:in `require'
    from /Users/tinyclanger/.bundle/ruby/1.8/gems/enumerated_attribute-0.2.3/lib/enumerated_attribute.rb:1
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler/runtime.rb:48:in `require'
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler/runtime.rb:48:in `require'
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler/runtime.rb:43:in `each'
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler/runtime.rb:43:in `require'
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler/runtime.rb:42:in `each'
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler/runtime.rb:42:in `require'
    from /Library/Ruby/Gems/1.8/gems/bundler-0.9.21/lib/bundler.rb:93:in `require'
    from /Users/tinyclanger/Documents/Development/test/config/application.rb:7
    from /Users/tinyclanger/Documents/Development/test/config/environment.rb:2:in `require'
    from /Users/tinyclanger/Documents/Development/test/config/environment.rb:2
    from /Library/Ruby/Gems/1.8/gems/railties-3.0.0.beta3/lib/rails/commands.rb:33:in `require'
    from /Library/Ruby/Gems/1.8/gems/railties-3.0.0.beta3/lib/rails/commands.rb:33
    from script/rails:9:in `require'
    from script/rails:9

Uninstalling enumerated_attribute allows the console to start, but then my models are all broken, of course, as they rely on it…

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment